package cn.fw.valhalla.domain.db.customer;

import cn.fw.common.data.entity.BaseEntity;
import cn.fw.valhalla.domain.enums.ReachInvalidReasonEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.time.YearMonth;
import java.util.Date;

/**
 * @author : kurisu
 * @className : CustomerReachLog
 * @description : 进站记录
 * @date: 2020-11-11 17:39
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CustomerReachLog extends BaseEntity<CustomerReachLog, Long> {
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * vin
     */
    private String frameNo;
    /**
     * 工单号
     */
    private String orderNo;
    /**
     * 服务站id
     */
    private Long shopId;
    /**
     * 顾问id
     */
    private Long adviserId;
    /**
     * 顾问名称
     */
    private String adviserName;
    /**
     * 进站时间
     */
    private Date arrivalTime;
    /**
     * 数据月份
     */
    private YearMonth dataMonth;
    /**
     * 是否有效
     */
    private Boolean valid;
    /**
     * 无效原因
     */
    private ReachInvalidReasonEnum reason;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 排除统计
     * 为true是对应档案不计入进站率分母计算
     */
    private Boolean excludeStatistics;
}
