package cn.fw.valhalla.domain.db.follow;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.valhalla.domain.enums.ClueStatusEnum;
import cn.fw.valhalla.domain.enums.FollowTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.time.LocalDateTime;

/**
 * 跟进线索
 *
 * @author : kurisu
 * @version : 1.0
 * @className : FollowClue
 * @description : 跟进线索
 * @date : 2022-07-22 17:39
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class FollowClue extends BaseAuditableTimeEntity<FollowClue, Long> {
    /**
     * 车架号
     */
    private String vin;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 初始时间
     */
    private LocalDateTime originTime;
    /**
     * 线索状态
     */
    private ClueStatusEnum clueState;
    /**
     * 线索类型
     */
    private FollowTypeEnum clueType;
    /**
     * 线索开始跟进时间
     */
    private LocalDateTime startTime;
    /**
     * 下次跟进时间
     */
    @Deprecated
    private LocalDateTime nextTime;
    /**
     * 线索结束跟进时间
     */
    private LocalDateTime endTime;
    /**
     * 终止时间
     */
    private LocalDateTime closeTime;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 推荐门店
     */
    private Long suggestShopId;
    /**
     * 上次跟进id
     */
    private Long preRecordId;
    /**
     * 业务数据的原始id
     */
    private Long bizId;
    /**
     * 该车已进站[只针对事故车]
     */
    private Boolean inShop;
}
