package cn.fw.valhalla.domain.db.report;

import cn.fw.common.data.entity.BaseEntity;
import cn.fw.valhalla.domain.enums.DefeatReasonEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;

/**
 * @author : kurisu
 * @className : CustomerRetentionRatio
 * @description : 客户保持率
 * @date: 2020-11-24 15:40
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CustomerRetentionRatio extends BaseEntity<CustomerRetentionRatio, Long> {
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 用户名称
     */
    private String userName;
    /**
     * 维度 1：个人 2：服务站
     */
    private Integer dimensions;
    /**
     * 服务站id
     */
    private Long shopId;
    /**
     * 服务站名称
     */
    private String shopName;
    /**
     * 保有客(截止当前数),
     * 注: 每个类型下数据一样的,做过渡存储一下
     */
    private Integer initialNum;
    /**
     * 进站数(本月)
     */
    private Integer reachNum;
    /**
     * 进站数(今日)
     */
    private Integer dayReachNum;
    /**
     * 首保二次分配本月成交数
     */
    private Integer fTwiceNum;
    /**
     * 流失二次分配本月成交数
     */
    private Integer sTwiceNum;
    /**
     * 公共池成交数(截止当前)
     */
    private Integer publicNum;
    /**
     * 近一年战败数
     */
    private Integer defeatNum;
    /**
     * 当日战败数
     */
    private Integer dayDefeatNum;
    /**
     * 本月战败数
     */
    private Integer monDefeatNum;
    /**
     * 进站率分母排除数
     */
    private Integer excludeNum;
    /**
     * 战败类型
     */
    private DefeatReasonEnum type;
    /**
     * 数据日期
     */
    private Date dataDate;
    /**
     * 当月角色变动用户
     */
    private Boolean currentMonthRoleChange;
}
