package cn.fw.valhalla.domain.vo.customer;

import cn.fw.valhalla.common.utils.StringUtils;
import lombok.Data;

import java.util.Arrays;
import java.util.Date;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author Kurisu
 * 2020-02-22 10:21 上午
 */
@Data
public class VehicleRecordVO {
    private Long id;
    /**
     * 使用地城市代码
     */
    private String cityCode;
    /**
     * 使用地城市名称
     */
    private String cityName;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 发动机编号
     */
    private String engineNo;
    /**
     * 行驶证注册日期
     */
    private Date regDate;
    /**
     * 车型代码
     */
    private String specCode;
    /**
     * 品牌id
     */
    private Long brandId;
    /**
     * 品牌名称
     */
    private String brandName;
    /**
     * 车系id
     */
    private Long seriesId;
    /**
     * 车系名称
     */
    private String seriesName;
    /**
     * 车系id
     */
    private Long specId;
    /**
     * 车系名称
     */
    private String specName;
    /**
     * 行驶证fid
     */
    private String vehicleLicense;
    /**
     * 保险到期时间
     */
    private Date insurExpireDate;
    /**
     * 商业险过期时间
     */
    private Date vciExpireDate;
    /**
     * 交强险到期时间
     */
    private Date tciExpiryDate;
    /**
     * 保险公司id
     */
    private Long insurCompanyId;
    /**
     * 保险公司名称
     */
    private String insurCompanyName;
    /**
     * 使用性质 1:非运营 2:运营
     */
    private Integer useType;
    /**
     * 当前行驶里程 单位KM
     */
    private Integer currentMileage;
    /**
     * 燃油里程
     */
    private Integer fuelMileage;
    /**
     * 纯电里程
     */
    private Integer electricMileage;
    /**
     * 标签
     */
    private String tags;
    /**
     * 购车时间
     */
    private Date buyDate;
    /**
     * 购买年限
     */
    private Long ageLimit;
    /**
     * 进站次数
     */
    private Integer arrivalCount;
    /**
     * 是否是贷款客户
     */
    private Boolean loanCustomer;
    /**
     * 分期期数
     */
    private Integer periods;
    /**
     * 贷款到期时间
     */
    private Date expires;
    /**
     * 门店id
     */
    private Long shopId;


    public List<String> getTags() {
        if (StringUtils.isValid(this.tags)) {
            return Arrays.stream(this.tags.split(","))
                    .filter(StringUtils::isValid)
                    .collect(Collectors.toList());
        }
        return null;
    }
}