package cn.fw.valhalla.service.data;

import cn.fw.valhalla.domain.db.customer.CustomerReachLog;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.transaction.annotation.Transactional;

import java.time.YearMonth;

/**
 * @author : kurisu
 * @className : CustomerReachLogService
 * @description : 进站记录
 * @date: 2020-11-11 17:45
 */
public interface CustomerReachLogService extends IService<CustomerReachLog> {
    /**
     * 撤销排除统计
     *
     * @param customerId
     * @param shopId
     * @param adviserId
     * @param month
     */
    @Transactional(rollbackFor = Exception.class)
    void undoExclusion(Long customerId, Long shopId, Long adviserId, YearMonth month);
}
