package cn.fw.valhalla.service.data.impl;

import cn.fw.valhalla.dao.mapper.AffiliationRecordMapper;
import cn.fw.valhalla.domain.db.customer.AffiliationRecord;
import cn.fw.valhalla.service.data.AffiliationRecordService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.time.LocalDate;
import java.util.List;

/**
 * @author : kurisu
 * @className : AffiliationRecordServiceImpl
 * @description : 顾问变更记录
 * @date: 2020-08-12 11:21
 */
@Slf4j
@Service
public class AffiliationRecordServiceImpl extends ServiceImpl<AffiliationRecordMapper, AffiliationRecord> implements AffiliationRecordService {
    @Override
    public List<AffiliationRecord> getLast2MonthHistory(final Long customerId) {
        return list(Wrappers.<AffiliationRecord>lambdaQuery()
                .eq(AffiliationRecord::getCustomerId, customerId)
                .ge(AffiliationRecord::getDefeatTime, LocalDate.now().minusMonths(12L).atStartOfDay())
        );
    }
}
