package cn.fw.valhalla.service.data.impl;

import cn.fw.valhalla.dao.mapper.CustomerLoanInfoMapper;
import cn.fw.valhalla.domain.db.customer.CustomerLoanInfo;
import cn.fw.valhalla.service.data.CustomerLoanInfoService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Objects;

/**
 * @author : kurisu
 * @className : CustomerLoanInfoServiceImpl
 * @description : 客户贷款信息
 * @date: 2020-10-29 18:01
 */
@Service
public class CustomerLoanInfoServiceImpl extends ServiceImpl<CustomerLoanInfoMapper, CustomerLoanInfo> implements CustomerLoanInfoService {
    /**
     * 终止贷款期
     *
     * @param vin     车架号
     * @param groupId 集团id
     */
    @Override
    @Transactional(rollbackFor = Exception.class)
    public void stopLoan(final String vin, final Long groupId) {
        CustomerLoanInfo info = getOne(Wrappers.<CustomerLoanInfo>lambdaQuery()
                .eq(CustomerLoanInfo::getFrameNo, vin)
                .eq(CustomerLoanInfo::getGroupId, groupId)
                .eq(CustomerLoanInfo::getYn, Boolean.TRUE)
                .last(" limit 1 ")
        );
        if (Objects.isNull(info)) {
            return;
        }
        info.setYn(Boolean.FALSE);
        updateById(info);
    }
}
